import React from 'react';
import { HashRouter, Routes, Route, Link } from 'react-router-dom';
import { Autofill } from './Autofill';
import { Search } from './Search';
import { Geocode } from './Geocode';

declare global {
  const MAPBOX_ACCESS_TOKEN: string;
}

const Home = () => {
  return (
    <div>
      <ul>
        <li>
          <Link to="autofill">Autofill</Link>
        </li>
        <li>
          <Link to="search">Search</Link>
        </li>
        <li>
          <Link to="geocode">Geocode</Link>
        </li>
      </ul>
    </div>
  );
};

export function App(): React.ReactElement {
  return (
    <HashRouter>
      <Routes>
        <Route path="/" element={<Home />}></Route>
        <Route path="autofill" element={<Autofill />}></Route>
        <Route path="search" element={<Search />}></Route>
        <Route path="geocode" element={<Geocode />}></Route>
      </Routes>
    </HashRouter>
  );
}
